org.omg.PortableInterceptor

## Interface PolicyFactory

- All Superinterfaces:
    IDLEntity, Object, PolicyFactoryOperations, Serializable

      public interface PolicyFactory
      extends PolicyFactoryOperations, Object, IDLEntity

  Enables policy types to be constructed using `CORBA.ORB.create_policy`.

  A portable ORB service implementation registers an instance of the `PolicyFactory` interface during ORB initialization in order to enable its policy types to be constructed using `CORBA.ORB.create_policy`. The POA is required to preserve any policy which is registered with `ORBInitInfo` in this manner.

  See Also:
    `ORBInitInfoOperations.register_policy_factory(int, org.omg.PortableInterceptor.PolicyFactory)`

- - ### Method Summary

    - ### Methods inherited from interface org.omg.PortableInterceptor.PolicyFactoryOperations

      `create_policy`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.